--[[----------------------------------------------------------------------------

WFCatMetadataSchemaTest.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remains the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and are protected by all applicable
intellectual property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFCatMetadataSchemaTest = {}

--------------------------------------------------------------------------------

function WFCatMetadataSchemaTest.testGetOzMetadataSchema()

	local WFCatMetadataSchema = require 'WFCatMetadataSchema'

	assert( WFCatMetadataSchema, "WFCatMetadataSchema namespace exists" )
	assert( WFCatMetadataSchema.getOzMetadataSchema, "fn exists" )
	assert( WFCatMetadataSchema.getOzMetadataSchema(), "schema is not null" )
	
end

--==============================================================================

-- FIXME [jandrew 3/27/2018]: This test suite fails on Android. 
-- FIXME [ashj 2019-02-08]: Resources standard path is not 
-- implemented for Android.
 
local WFPlatformInfo = require 'WFPlatformInfo'

if WFPlatformInfo.isAndroid then
	return {}
else
	return WFCatMetadataSchemaTest
end
